<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
    <ImageView
        android:id="@+id/Background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:scaleType="centerCrop"
        android:src="@drawable/fog_background"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:clickable="true"
            tools:context=".ui.Credits.CreditsFragment">

    <ImageView
        android:id="@drawable/backgroundoverlay"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="-25dp"
        android:layout_marginLeft="-25dp"
        android:layout_marginTop="-25dp"
        android:layout_marginEnd="-25dp"
        android:layout_marginRight="-25dp"
        android:layout_marginBottom="-25dp"
        android:scaleType="centerCrop"
        android:src="@drawable/backgroundoverlay"
        app:layout_constraintBottom_toBottomOf="@+id/button_reset"
        app:layout_constraintEnd_toEndOf="@+id/button_theme_red_blue"
        app:layout_constraintStart_toStartOf="@+id/themes"
        app:layout_constraintTop_toTopOf="@+id/button_theme_red_blue"
        app:layout_constraintVertical_bias="0.0" />

            <TextView
                android:id="@+id/background"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="50dp"
                android:layout_marginLeft="50dp"
                android:layout_marginEnd="10dp"
                android:layout_marginRight="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/hintergrund"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintBottom_toTopOf="@+id/divider"
                app:layout_constraintEnd_toStartOf="@+id/button_pickimage"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/button_pickimage" />

    <TextView
        android:id="@+id/themes"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="50dp"
        android:layout_marginLeft="50dp"
        android:layout_marginEnd="10dp"
        android:layout_marginRight="10dp"
        android:gravity="center_horizontal|left"
        android:text="@string/themes"
        android:textAlignment="center"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textSize="18sp"
        app:layout_constraintBottom_toBottomOf="@+id/button_theme_pink_green"
        app:layout_constraintEnd_toStartOf="@+id/button_theme_red_blue"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/button_theme_red_blue" />

            <TextView
                android:id="@+id/sprache"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="50dp"
                android:layout_marginLeft="50dp"
                android:layout_marginEnd="10dp"
                android:layout_marginRight="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/sprache"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="@+id/button_language"
                app:layout_constraintEnd_toStartOf="@+id/button_language"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/button_language" />

            <TextView
                android:id="@+id/reset_settings"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="50dp"
                android:layout_marginLeft="50dp"
                android:layout_marginEnd="10dp"
                android:layout_marginRight="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/einstellungen_zurücksetzen"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="@+id/button_reset"
                app:layout_constraintEnd_toStartOf="@+id/button_reset"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/button_reset" />

    <Button
        android:id="@+id/button_reset"
        android:layout_width="140dp"
        android:layout_height="55dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="50dp"
        android:layout_marginRight="50dp"
        android:background="@drawable/button_round"
        android:text="@string/button_zurücksetzen"
        app:backgroundTint="@null"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/divider3" />

            <Button
                android:id="@+id/button_theme_red_blue"
                android:layout_width="140dp"
                android:layout_height="55dp"
                android:layout_marginTop="125dp"
                android:layout_marginEnd="50dp"
                android:layout_marginRight="50dp"
                android:background="@drawable/button_theme_red_blue"
                android:text="@string/red_blue"
                app:backgroundTint="@null"
                app:layout_constraintBottom_toTopOf="@+id/button_theme_green_yellow"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <Button
                android:id="@+id/button_theme_orange_turquoise"
                android:layout_width="140dp"
                android:layout_height="55dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="50dp"
                android:layout_marginRight="50dp"
                android:background="@drawable/button_theme_orange_turquoise"
                android:text="@string/orange_turquoise"
                app:backgroundTint="@null"
                app:layout_constraintBottom_toTopOf="@+id/button_theme_yellow_blue"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/button_theme_green_yellow" />

            <Button
                android:id="@+id/button_theme_yellow_blue"
                android:layout_width="140dp"
                android:layout_height="55dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="50dp"
                android:layout_marginRight="50dp"
                android:background="@drawable/button_theme_yellow_blue"
                android:text="@string/yellow_blue"
                app:backgroundTint="@null"
                app:layout_constraintBottom_toTopOf="@+id/button_theme_pink_green"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/button_theme_orange_turquoise" />

            <Button
                android:id="@+id/button_theme_pink_green"
                android:layout_width="140dp"
                android:layout_height="55dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="50dp"
                android:layout_marginRight="50dp"
                android:background="@drawable/button_theme_pink_green"
                android:text="@string/pink_green"
                app:backgroundTint="@null"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/button_theme_yellow_blue" />

            <Button
                android:id="@+id/button_theme_green_yellow"
                android:layout_width="140dp"
                android:layout_height="55dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="50dp"
                android:layout_marginRight="50dp"
                android:background="@drawable/button_theme_green_yellow"
                android:text="@string/green_yellow"
                app:backgroundTint="@null"
                app:layout_constraintBottom_toTopOf="@+id/button_theme_orange_turquoise"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/button_theme_red_blue" />

            <Button
        android:id="@+id/button_language"
        android:layout_width="140dp"
        android:layout_height="55dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="50dp"
        android:layout_marginRight="50dp"
        android:background="@drawable/button_round"
        android:text="@string/sprache"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toTopOf="@+id/divider3"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/divider" />

    <Button
        android:id="@+id/button_pickimage"
        android:layout_width="140dp"
        android:layout_height="55dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="50dp"
        android:layout_marginRight="50dp"
        android:background="@drawable/button_round"
        android:text="@string/button_hintergrund_wählen"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toTopOf="@+id/divider"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/divider2" />

    <View
        android:id="@+id/divider"
        android:layout_width="0dp"
        android:layout_height="2dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/background_full"
        app:layout_constraintEnd_toEndOf="@+id/divider2"
        app:layout_constraintStart_toStartOf="@+id/divider2"
        app:layout_constraintTop_toBottomOf="@+id/button_pickimage" />

    <View
        android:id="@+id/divider2"
        android:layout_width="0dp"
        android:layout_height="2dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/background_full"
        app:layout_constraintEnd_toEndOf="@+id/button_theme_red_blue"
        app:layout_constraintHorizontal_bias="1.0"
        app:layout_constraintStart_toStartOf="@+id/themes"
        app:layout_constraintTop_toBottomOf="@+id/button_theme_pink_green" />

    <View
        android:id="@+id/divider3"
        android:layout_width="0dp"
        android:layout_height="2dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/background_full"
        app:layout_constraintEnd_toEndOf="@+id/divider"
        app:layout_constraintStart_toStartOf="@+id/divider"
        app:layout_constraintTop_toBottomOf="@+id/button_language" />

            <Space
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="75dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/button_reset" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>